FaceFromBoundaryBuilder Class

class NXOpen.CAE.FaceFromBoundaryBuilder

Bases: NXOpen.Builder

Builder for creating Polygon Face by boundary

To create a new instance of this class, use NXOpen.CAE.AbstractionManager.CreateFaceFromBoundaryBuilder()

New in version NX8.5.0.

Properties

Property Description
EdgeSelection Returns the polygon edge selection to create a face from boundary
FirstPtSelect Returns or sets the first pt to join the ends of open edges in the loop.
PolygonBodySelection Returns the polygon body selection to assign the newly created face
SecondPtSelect Returns or sets the second pt to join the ends of open edges in the loop.
Tag Returns the Tag for this object.

Methods

Method Description
AddSelectedPointPairs Designate the join of the first and second pt by a straight edge (joining the ends of open loop segments).
Commit Commits any edits that have been applied to the builder.
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetObject Returns the object currently being edited by this builder.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

EdgeSelection

FaceFromBoundaryBuilder.EdgeSelection

Returns the polygon edge selection to create a face from boundary

-------------------------------------

Getter Method

Signature EdgeSelection

Returns:
Return type:NXOpen.CAE.SelectCAEEdgeList

New in version NX8.5.0.

License requirements: None.

FirstPtSelect

FaceFromBoundaryBuilder.FirstPtSelect

Returns or sets the first pt to join the ends of open edges in the loop.

-------------------------------------

Getter Method

Signature FirstPtSelect

Returns:
Return type:NXOpen.Point

New in version NX8.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature FirstPtSelect

Parameters:firstPtSelect (NXOpen.Point) –

New in version NX8.5.0.

License requirements: None.

PolygonBodySelection

FaceFromBoundaryBuilder.PolygonBodySelection

Returns the polygon body selection to assign the newly created face

-------------------------------------

Getter Method

Signature PolygonBodySelection

Returns:
Return type:NXOpen.CAE.SelectCAEBody

New in version NX8.5.0.

License requirements: None.

SecondPtSelect

FaceFromBoundaryBuilder.SecondPtSelect

Returns or sets the second pt to join the ends of open edges in the loop.

-------------------------------------

Getter Method

Signature SecondPtSelect

Returns:
Return type:NXOpen.Point

New in version NX8.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature SecondPtSelect

Parameters:secondPtSelect (NXOpen.Point) –

New in version NX8.5.0.

License requirements: None.

Method Detail

AddSelectedPointPairs

FaceFromBoundaryBuilder.AddSelectedPointPairs

Designate the join of the first and second pt by a straight edge (joining the ends of open loop segments).

Signature AddSelectedPointPairs()

New in version NX8.5.0.

License requirements: None.

Validate

FaceFromBoundaryBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.